Skip to main content
DELETE
/
v2
/
customers
/
{id}
/
providers
/
{providerId}
Delete customer provider
curl --request DELETE \
  --url https://api.carecycle.ai/v2/customers/{id}/providers/{providerId} \
  --header 'x-api-key: <api-key>'
{
  "success": true,
  "message": "<string>"
}

Authorizations

x-api-key
string
header
required

API key required for authentication.

Keys begin with 'cc_' prefix. Get your API key from the Developer Dashboard.

Path Parameters

id
string<uuid>
required

Customer ID

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
providerId
string<uuid>
required

Provider ID

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

Response

DELETE /v2/customers/:id/providers/:providerId Positive response

success
boolean
required

Whether the deletion was successful

message
string
required

Success message